---
# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
      - id: debug-statements
      - id: trailing-whitespace
      - id: end-of-file-fixer
      - id: check-yaml
      - id: check-added-large-files
      - id: detect-private-key
      - id: no-commit-to-branch
        args:
          - --branch
          - main

  - repo: https://github.com/koalaman/shellcheck-precommit
    rev: v0.9.0
    hooks:
      - id: shellcheck
        args:
          - --severity=warning  # Optionally only show errors and warnings

  - repo: https://github.com/pycqa/isort
    rev: 5.13.2
    hooks:
      - id: isort

  - repo: https://github.com/bridgecrewio/checkov
    rev: 3.1.61
    hooks:
      - id: checkov_container
      - id: checkov_secrets_container

  - repo: https://gitlab.com/c2-games/infrastructure/gitlab-ci.git
    rev: "v1.0.0"
    hooks:
      - id: docker-cspell
      - id: docker-yamllint
      - id: docker-markdownlint
      - id: docker-terraform-fmt
        files: ^iac/
      - id: docker-terraform-docs
        files: ^iac/
        args:
          - table
          - --sort-by
          - required
          - --output-file
          - README.md
          - ./iac/
      - id: docker-trivy
...
